# include "gdnative_interface.h"

const GDNativeInterface *api;

void deinitialize(void *userdata, GDNativeInitializationLevel p_level) {

}

void initialize(void *userdata, GDNativeInitializationLevel p_level) {
    if (p_level == GDNATIVE_INITIALIZATION_EDITOR) {
        api->global_get_singleton("DisplayServer");
    }
}

GDNativeBool loadExtension(const GDNativeInterface *p_interface, const GDNativeExtensionClassLibraryPtr p_library, GDNativeInitialization *r_initialization) {
    r_initialization->minimum_initialization_level = GDNATIVE_INITIALIZATION_EDITOR;
    r_initialization->initialize = initialize;
    r_initialization->deinitialize = deinitialize;
    api = p_interface;
    return 1;
}